/////////////////////////////////////////////////////////////////////
///   devnetX Quad Art-Net Node (DMX Output Firmware), Ver. 1.0   ///
///   DMX512 Transmitter Header                                   ///
///   ---------------------------------------------------------   ///
///   Author: Alexej Goujine                                      ///
///   Copyright  2011 - 2013 devnetX, http://www.devnetx.at      ///
///   E-Mail: dev@devnetx.at                                      ///
///   Last changed on: 27.11.2013 (DD.MM.YYYY)                    ///
///   ---------------------------------------------------------   ///
///   This code is provided 'as is', use it at you own risk.      ///
/////////////////////////////////////////////////////////////////////

#ifndef DMX512_H
#define	DMX512_H

    #include <p18cxxx.h>

    // Pin directions
    #define OUTPUT_PIN              0
    #define INPUT_PIN               1

    // DMX Pins
    #define DMX_BREAK_TRIS          (TRISBbits.TRISB0)
    #define DMX_BREAK               (LATBbits.LATB0)
    #define DMX_LED_TRIS            (TRISBbits.TRISB1)
    #define DMX_LED                 (LATBbits.LATB1)

    // DMX UART Registers
    #define DMX_TXREG               (TXREG1)
    #define DMX_TXSTA               (TXSTA1)
    #define DMX_RCSTA               (RCSTA1)
    #define DMX_BAUDCON             (BAUDCON1)
    #define DMX_SPBRGH              (SPBRGH1)
    #define DMX_SPBRGL              (SPBRG1)
    #define DMX_TXIF                (PIR1bits.TX1IF)

    // Pseudo Functions
    #define LOW(a)                  ((a) & 0xFF)
    #define HIGH(a)                 (((a)>>8) & 0xFF)

    // DMX Packet Structure
    typedef struct
    {
        WORD DMXDataLength;
        BYTE DMXData[512];
    } DMXPACKET;

    // Prototypes
    void DMX512Init(void);
    void DMX512Interrupt(void);
    void DMX512LEDInterrupt(void);

#endif
