/////////////////////////////////////////////////////////////////////
///   devnetX Quad Art-Net Node (DMX Output Firmware), Ver. 1.0   ///
///   Serial Peripheral Interface Direct Memory Access Header     ///
///   ---------------------------------------------------------   ///
///   Author: Alexej Goujine                                      ///
///   Copyright  2011 - 2013 devnetX, http://www.devnetx.at      ///
///   E-Mail: dev@devnetx.at                                      ///
///   Last changed on: 27.11.2013 (DD.MM.YYYY)                    ///
///   ---------------------------------------------------------   ///
///   This code is provided 'as is', use it at you own risk.      ///
/////////////////////////////////////////////////////////////////////

#ifndef SPIDMA_H
#define	SPIDMA_H

    #include "DMX512.h"

    // /SS Pin
    #define SPIDMA_SS               (PORTCbits.RC3)
    #define SPIDMA_INTERRUPT        (PIR3bits.SSP2IF)

    // Pseudo Functions
    #define LOW(a)                  ((a) & 0xFF)
    #define HIGH(a)                 (((a)>>8) & 0xFF)

    // Variables
    extern volatile DMXPACKET SPIRXPacket;
    extern volatile DMXPACKET *SPIRXPacketPointer;

    // Prototypes
    void SPIDMASlaveInit(void);
    void SPIDMAStart(void);
    void SPIDMAInterrupt(void);

#endif

