/////////////////////////////////////////////////////////////////////
///   devnetX Quad Art-Net Node (DMX Output Firmware), Ver. 1.0   ///
///   PIC18F24J11 Configuration Bit Settings                      ///
///   ---------------------------------------------------------   ///
///   Author: Alexej Goujine                                      ///
///   Copyright  2011 - 2013 devnetX, http://www.devnetx.at      ///
///   E-Mail: dev@devnetx.at                                      ///
///   Last changed on: 27.11.2013 (DD.MM.YYYY)                    ///
///   ---------------------------------------------------------   ///
///   This code is provided 'as is', use it at you own risk.      ///
/////////////////////////////////////////////////////////////////////

#include <p18cxxx.h>

// CONFIG1L
#pragma config WDTEN = OFF          // Watchdog Timer (Disabled - Controlled by SWDTEN bit)
#pragma config STVREN = ON          // Stack Overflow/Underflow Reset (Enabled)
#pragma config XINST = OFF          // Extended Instruction Set (Disabled)

// CONFIG1H
#pragma config CP0 = OFF            // Code Protect (Program memory is not code-protected)

// CONFIG2L
#pragma config OSC = HSPLL          // Oscillator (HS+PLL)
#pragma config T1DIG = OFF          // T1OSCEN Enforcement (Secondary Oscillator clock source may not be selected)
#pragma config LPT1OSC = OFF        // Low-Power Timer1 Oscillator (High-power operation)
#pragma config FCMEN = OFF          // Fail-Safe Clock Monitor (Disabled)
#pragma config IESO = OFF           // Internal External Oscillator Switch Over Mode (Disabled)

// CONFIG2H
#pragma config WDTPS = 32768        // Watchdog Postscaler (1:32768)

// CONFIG3L
#pragma config DSWDTOSC = INTOSCREF // DSWDT Clock Select (DSWDT uses INTRC)
#pragma config RTCOSC = T1OSCREF    // RTCC Clock Select (RTCC uses T1OSC/T1CKI)
#pragma config DSBOREN = OFF        // Deep Sleep BOR (Disabled)
#pragma config DSWDTEN = OFF        // Deep Sleep Watchdog Timer (Disabled)
#pragma config DSWDTPS = G2         // Deep Sleep Watchdog Postscaler (1:2,147,483,648 (25.7 days))

// CONFIG3H
#pragma config IOL1WAY = OFF        // IOLOCK One-Way Set Enable bit (The IOLOCK bit (PPSCON<0>) can be set and cleared as needed)
#pragma config MSSP7B_EN = MSK7     // MSSP address masking (7 Bit address masking mode)

// CONFIG4L
#pragma config WPFP = PAGE_15       // Write/Erase Protect Page Start/End Location (Write Protect Program Flash Page 15)
#pragma config WPEND = PAGE_WPFP    // Write/Erase Protect Region Select (valid when WPDIS = 0) (Page WPFP<5:0> through Configuration Words erase/write protected)
#pragma config WPCFG = OFF          // Write/Erase Protect Configuration Region (Configuration Words page not erase/write-protected)

// CONFIG4H
#pragma config WPDIS = OFF          // Write Protect Disable bit (WPFP<5:0>/WPEND region ignored)
